PROGRAM B4M2PAS;
VAR Quelle:FILE;
    Ziel:TEXT;
    B,C:BYTE;
    S:STRING;
BEGIN
 ASSIGNFILE(Quelle,'track.b4m');
 {$I-}RESET(Quelle,1);{$I+}
 IF IOResult=0 THEN BEGIN
  ASSIGNFILE(Ziel,'trackfile.h');
  {$I-}REWRITE(Ziel);{$I+}
  IF IOResult=0 THEN BEGIN
   WRITELN(Ziel,'#define TrackSize ',FILESIZE(Quelle));
   WRITE(Ziel,'unsigned char TrackData[TrackSize]={');
   C:=0;
   WHILE NOT EOF(Quelle) DO BEGIN
    BLOCKREAD(Quelle,B,1);
    STR(B,S);
    IF FILESIZE(Quelle)<>FILEPOS(Quelle) THEN S:=S+',';
    C:=C+LENGTH(S);
    WRITE(Ziel,S);
    IF C>40 THEN BEGIN
     IF FILESIZE(Quelle)<>FILEPOS(Quelle) THEN BEGIN
      WRITELN(Ziel);
     END;
     C:=0;
    END;
   END;
   WRITELN(Ziel,'};');
   CLOSEFILE(Ziel);
  END;
  CLOSEFILE(Quelle);
 END;
END.
